Name: jakarta-commons-daemon
Version: 1.0
Release: alt0.M24.1

Summary: Jakarta Commons Daemon Package
License: Apache Software License 2.0
Group: Development/Java
Packager: Mikhail Zabaluev <mhz@altlinux.ru>

Url: http://jakarta.apache.org/commons/daemon
Source: http://www.apache.org/dist/jakarta/commons/daemon/source/daemon-1.0.tar.gz
Source1: jakarta-commons-daemon-build.properties

Patch1: %name-1.0-default-jvm-location.patch

BuildPreReq: /proc
BuildPreReq: j2se1.4-sun-devel ant ant-junit junit gcc
BuildPreReq: rpm-build-java java-common >= 1.2

Requires: java-common >= 1.2 j2se >= 1.4.2

%description
The scope of this package is to define an API in line with the current
Java(tm) Platform APIs to support an alternative invocation mechanism
which could be used instead of the above mentioned public static void
main(String[]) method.  This specification cover the behavior and life
cycle of what we define as Java(tm) daemons, or, in other words, non
interactive Java(tm) applications.

%package javadoc
Summary: Javadoc for %name
Group: Development/Java
Requires: java-common >= 1.2

%description javadoc
Javadoc for %name

%package samples
Summary: Samples for %name
Group: Development/Java
Requires: %name = %version-%release

%description samples
Samples for %name

%prep
%setup -qn daemon-1.0
%patch1 -p1
%__cp %SOURCE1 build.properties

%build
%__ant dist test

cd src/native/unix
%configure --with-java=/usr/lib/j2se
%make_build

%install
%__mkdir_p %buildroot%_javadir
%__mkdir_p %buildroot%_javadocdir
%__mkdir_p %buildroot%_docdir/%name-%version
%__mkdir_p %buildroot%_datadir/%name
%__mkdir_p %buildroot%_sbindir

%__cp dist/commons-daemon.jar %buildroot%_javadir/%name.jar

%__mv dist/docs/api %buildroot%_javadocdir/%name
%__mv LICENSE.txt %buildroot%_docdir/%name-%version
%__mv RELEASE-NOTES.txt %buildroot%_docdir/%name-%version/
%__mv  *.html %buildroot%_docdir/%name-%version/

%__mv src/samples %buildroot%_datadir/%name
%__mv src/native/unix/native/*.sh %buildroot%_datadir/%name/samples/

%__cp src/native/unix/jsvc %buildroot%_sbindir

%files
%_javadir/*.jar
%_docdir/%name-%version
%_sbindir/*

%files javadoc
%_javadocdir/%name

%files samples
%_datadir/%name

%changelog
* Thu Apr 21 2005 Alexey Borovskoy <alb@altlinux.ru> 1.0-alt0.M24.1
- Backport to Master 2.4
- Sync with my local repo

* Sat Dec 18 2004 Mikhail Zabaluev <mhz@altlinux.ru> 1.0-alt3
- Reverted the 1.0-alt2 package by Vladimir Lettiev
- Adapted to rpm-build-java
- Set default JVM location to /usr/lib/j2se [Patch0]

* Fri Aug 06 2004 Mikhail Zabaluev <mhz@altlinux.ru> 1.0-alt1
- 1.0 release
- Splintered off the jsvc package that has runtime dependencies
- More spec cleanup

* Fri Nov 28 2003 Alexey Borovskoy <alb@altlinux.ru> 1.0alpha-alt1
- First build for ALTLinux
- Spec cleanup

* Sat Oct 11 2003 Ville Skyttä <ville.skytta at iki.fi> - 1:1.0-0.alpha.1jpp
- Update to 1.0 alpha, bump epoch.
- Non-versioned, crosslinked javadocs.
- Build native jsvc with "--with native".

* Thu Feb 27 2003 Henri Gomez <hgomez@users.sourceforge.net> 1.0-5jpp
- fix ASF license

* Thu Feb 27 2003 Henri Gomez <hgomez@users.sourceforge.net> 1.0-4jpp
- fix missing packager tag
- get latest nightly (20030227)
- fix ant lib location for javadoc
- added common-launcher jar

* Fri Jul 12 2002 Henri Gomez <hgomez@users.sourceforge.net> 1.0-3jpp
- clean up spec

* Mon Jun 10 2002 Henri Gomez <hgomez@users.sourceforge.net> 1.0-2jpp
- use sed instead of bash 2.x extension in link area to make spec compatible
  with distro using bash 1.1x

* Fri Jun 07 2002 Henri Gomez <hgomez@users.sourceforge.net> 1.0-1jpp 
- 1.0 (cvs 20020606)
- added short names in %{_javadir}, as does jakarta developpers
- first jPackage release
